public static interface RestSwaggerEndpointBuilderFactory.RestSwaggerBuilders
| Modifier and Type | Method and Description |
|---|---|
default RestSwaggerEndpointBuilderFactory.RestSwaggerEndpointBuilder |
restSwagger(String path)
REST Swagger (camel-rest-swagger)
Configure REST producers based on a Swagger (OpenAPI) specification
document delegating to a component implementing the
RestProducerFactory interface.
|
default RestSwaggerEndpointBuilderFactory.RestSwaggerEndpointBuilder |
restSwagger(String componentName,
String path)
REST Swagger (camel-rest-swagger)
Configure REST producers based on a Swagger (OpenAPI) specification
document delegating to a component implementing the
RestProducerFactory interface.
|
default RestSwaggerEndpointBuilderFactory.RestSwaggerEndpointBuilder restSwagger(String path)
rest-swagger:specificationUri#operationId
Path parameter: specificationUri
Path to the Swagger specification file. The scheme, host base path
are taken from this specification, but these can be overridden with
properties on the component or endpoint level. If not given the
component tries to load swagger.json resource from the classpath.
Note that the host defined on the component and endpoint of this
Component should contain the scheme, hostname and optionally the port
in the URI syntax (i.e. http://api.example.com:8080). Overrides
component configuration. The Swagger specification can be loaded from
different sources by prefixing with file: classpath: http: https:.
Support for https is limited to using the JDK installed UrlHandler,
and as such it can be cumbersome to setup TLS/SSL certificates for
https (such as setting a number of javax.net.ssl JVM system
properties). How to do that consult the JDK documentation for
UrlHandler. Default value notice: By default loads swagger.json file
Default value: swagger.json
Path parameter: operationId (required)
ID of the operation from the Swagger specification.path - specificationUri#operationIddefault RestSwaggerEndpointBuilderFactory.RestSwaggerEndpointBuilder restSwagger(String componentName, String path)
rest-swagger:specificationUri#operationId
Path parameter: specificationUri
Path to the Swagger specification file. The scheme, host base path
are taken from this specification, but these can be overridden with
properties on the component or endpoint level. If not given the
component tries to load swagger.json resource from the classpath.
Note that the host defined on the component and endpoint of this
Component should contain the scheme, hostname and optionally the port
in the URI syntax (i.e. http://api.example.com:8080). Overrides
component configuration. The Swagger specification can be loaded from
different sources by prefixing with file: classpath: http: https:.
Support for https is limited to using the JDK installed UrlHandler,
and as such it can be cumbersome to setup TLS/SSL certificates for
https (such as setting a number of javax.net.ssl JVM system
properties). How to do that consult the JDK documentation for
UrlHandler. Default value notice: By default loads swagger.json file
Default value: swagger.json
Path parameter: operationId (required)
ID of the operation from the Swagger specification.componentName - to use a custom component name for the endpoint
instead of the default namepath - specificationUri#operationIdApache Camel